import { LitElement } from 'lit';
declare const TestContext_base: (new (...args: any[]) => import('./ContextMixin.js').ContextMixinInterface) & typeof LitElement;
declare class TestContext extends TestContext_base {
}
declare const TestContextElement_base: (new (...args: any[]) => import('./ContextMixin.js').ContextMixinInterface) & typeof LitElement;
declare class TestContextElement extends TestContextElement_base {
    render(): import('lit-html').TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "test-context": TestContext;
        "test-context-reactivity": TestContextElement;
    }
}
export {};
